package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.QpTaskDetail;
import com.zd.airbottle.domain.vo.QpAirGoodsConfigRelationVo;
import com.zd.airbottle.domain.vo.QpTaskDetailVO;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author zd
 * @date 2022-05-11
 */
public interface QpTaskDetailMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public QpTaskDetail selectQpTaskDetailById(Long id);

    public QpTaskDetailVO selectQpTaskDetailByIdVo(Long id);


    /**
     * 查询【请填写功能名称】列表
     * 
     * @param qpTaskDetail 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<QpTaskDetail> selectQpTaskDetailList(QpTaskDetail qpTaskDetail);

    public List<QpTaskDetailVO> selectQpTaskDetailListVo (QpTaskDetail qpTaskDetail);

    /**
     * 新增【请填写功能名称】
     * 
     * @param qpTaskDetail 【请填写功能名称】
     * @return 结果
     */
    public int insertQpTaskDetail(QpTaskDetail qpTaskDetail);

    /**
     * 修改【请填写功能名称】
     * 
     * @param qpTaskDetail 【请填写功能名称】
     * @return 结果
     */
    public int updateQpTaskDetail(QpTaskDetail qpTaskDetail);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteQpTaskDetailById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQpTaskDetailByIds(Long[] ids);

    /**
     * 根据待办清单id详情关联查询
     * @param id
     * @return
     */
    public List<QpTaskDetailVO> selectQpTaskDetailByIdRelation(Long id);

    /**
     * 根据待办清单详情表id 关联查询
     * @param id
     * @return
     */
    public  List<QpAirGoodsConfigRelationVo> selectQpTaskDetailByDetailsIdRelation(Long id);

    /**
     * 根据待办清单详情表id 关联查询规格信息
     * @param id
     * @return
     */
    public  QpTaskDetailVO selectRelationByDetailsId(Long id);

    /**
     * 待办清单待入库列表
     * @param id
     * @return
     */
    public List<QpAirGoodsConfigRelationVo> selectQpTaskDetailStock(Long id);

    /***
     * 待办清单 未派送
     * @param id
     * @return
     */
    public List<QpAirGoodsConfigRelationVo> selectQpTaskDetailDistribute(Long id);

    /***
     * 待办清单 已入库
     * @param id
     * @return
     */
    public List<QpAirGoodsConfigRelationVo> selectQpTaskDetailDealWith(Long id);

    /***
     * 待办清单 拒收列表
     * @param id
     * @return
     */
    public List<QpAirGoodsConfigRelationVo> selectQpTaskDetailRefuse(Long id);

    /***
     * 气瓶列表 关联查询气瓶详细信息
     * @param airGoodsConfigRelationVo
     * @return
     */
    public List<QpAirGoodsConfigRelationVo> selectQpTaskDetailRelationList(QpAirGoodsConfigRelationVo airGoodsConfigRelationVo);
}
